Merge remote-tracking branch 'origin/master' into jit
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = { \
47   if test -z '$(MAKELEVEL)'; then \
48     false; \
49   elif test -n '$(MAKE_HOST)'; then \
50     true; \
51   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
52     true; \
53   else \
54     false; \
55   fi; \
56 }
57 am__make_running_with_option = \
58   case $${target_option-} in \
59       ?) ;; \
60       *) echo "am__make_running_with_option: internal error: invalid" \
61               "target option '$${target_option-}' specified" >&2; \
62          exit 1;; \
63   esac; \
64   has_opt=no; \
65   sane_makeflags=$$MAKEFLAGS; \
66   if $(am__is_gnu_make); then \
67     sane_makeflags=$$MFLAGS; \
68   else \
69     case $$MAKEFLAGS in \
70       *\\[\ \   ]*) \
71         bs=\\; \
72         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
73           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
74     esac; \
75   fi; \
76   skip_next=no; \
77   strip_trailopt () \
78   { \
79     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
80   }; \
81   for flg in $$sane_makeflags; do \
82     test $$skip_next = yes && { skip_next=no; continue; }; \
83     case $$flg in \
84       *=*|--*) continue;; \
85         -*I) strip_trailopt 'I'; skip_next=yes;; \
86       -*I?*) strip_trailopt 'I';; \
87         -*O) strip_trailopt 'O'; skip_next=yes;; \
88       -*O?*) strip_trailopt 'O';; \
89         -*l) strip_trailopt 'l'; skip_next=yes;; \
90       -*l?*) strip_trailopt 'l';; \
91       -[dEDm]) skip_next=yes;; \
92       -[JT]) skip_next=yes;; \
93     esac; \
94     case $$flg in \
95       *$$target_option*) has_opt=yes; break;; \
96     esac; \
97   done; \
98   test $$has_opt = yes
99 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
100 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
101 pkgdatadir = $(datadir)/@PACKAGE@
102 pkgincludedir = $(includedir)/@PACKAGE@
103 pkglibdir = $(libdir)/@PACKAGE@
104 pkglibexecdir = $(libexecdir)/@PACKAGE@
105 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
106 install_sh_DATA = $(install_sh) -c -m 644
107 install_sh_PROGRAM = $(install_sh) -c
108 install_sh_SCRIPT = $(install_sh) -c
109 INSTALL_HEADER = $(INSTALL_DATA)
110 transform = $(program_transform_name)
111 NORMAL_INSTALL = :
112 PRE_INSTALL = :
113 POST_INSTALL = :
114 NORMAL_UNINSTALL = :
115 PRE_UNINSTALL = :
116 POST_UNINSTALL = :
117 build_triplet = @build@
118 host_triplet = @host@
119 @GIWS_TRUE@am__append_1 = giws
120 @SWIG_TRUE@am__append_2 = swig
121 @GUI_TRUE@am__append_3 = libsciui_data.la
122 @NEED_JAVA_TRUE@am__append_4 = java
123 subdir = modules/ui_data
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
126         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
127         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
128         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
129         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
130         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
131         $(top_srcdir)/m4/intel_compiler.m4 \
132         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
133         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
134         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
135         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/llvm.m4 \
136         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
137         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
138         $(top_srcdir)/m4/macosx.m4 $(top_srcdir)/m4/mpi.m4 \
139         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
140         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
141         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
142         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
143         $(top_srcdir)/configure.ac
144 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
145         $(ACLOCAL_M4)
146 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
147 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
148 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
149 CONFIG_CLEAN_FILES =
150 CONFIG_CLEAN_VPATH_FILES =
151 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
152 am__vpath_adj = case $$p in \
153     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
154     *) f=$$p;; \
155   esac;
156 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
157 am__install_max = 40
158 am__nobase_strip_setup = \
159   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
160 am__nobase_strip = \
161   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
162 am__nobase_list = $(am__nobase_strip_setup); \
163   for p in $$list; do echo "$$p $$p"; done | \
164   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
165   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
166     if (++n[$$2] == $(am__install_max)) \
167       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
168     END { for (dir in files) print dir, files[dir] }'
169 am__base_list = \
170   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
171   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
172 am__uninstall_files_from_dir = { \
173   test -z "$$files" \
174     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
175     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
176          $(am__cd) "$$dir" && rm -f $$files; }; \
177   }
178 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
179         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
180         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
181         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
182 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
183 libsciui_data_algo_la_LIBADD =
184 am__dirstamp = $(am__leading_dot)dirstamp
185 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
186         src/c/libsciui_data_algo_la-PutScilabVariable.lo
187 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
188         src/jni/libsciui_data_algo_la-EditVar.lo \
189         src/jni/libsciui_data_algo_la-FileBrowser.lo
190 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
191         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
192 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
193         $(am__objects_3)
194 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
195 AM_V_lt = $(am__v_lt_@AM_V@)
196 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
197 am__v_lt_0 = --silent
198 am__v_lt_1 = 
199 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
200 libsciui_data_disable_la_LIBADD =
201 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
202 am__objects_5 =  \
203         src/noui_data/libsciui_data_disable_la-noui_data_gw.lo
204 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4) \
205         $(am__objects_5)
206 libsciui_data_disable_la_OBJECTS =  \
207         $(am_libsciui_data_disable_la_OBJECTS)
208 am__DEPENDENCIES_1 =
209 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
210         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
211 am__objects_6 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
212         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
213         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
214         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
215         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo \
216         sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo
217 am_libsciui_data_la_OBJECTS = $(am__objects_6)
218 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
219 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
220         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
221         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
222         $(LDFLAGS) -o $@
223 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
224 AM_V_P = $(am__v_P_@AM_V@)
225 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
226 am__v_P_0 = false
227 am__v_P_1 = :
228 AM_V_GEN = $(am__v_GEN_@AM_V@)
229 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
230 am__v_GEN_0 = @echo "  GEN     " $@;
231 am__v_GEN_1 = 
232 AM_V_at = $(am__v_at_@AM_V@)
233 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
234 am__v_at_0 = @
235 am__v_at_1 = 
236 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
237 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
238 am__depfiles_maybe = depfiles
239 am__mv = mv -f
240 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
241         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
242 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
243         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
244         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
245         $(AM_CFLAGS) $(CFLAGS)
246 AM_V_CC = $(am__v_CC_@AM_V@)
247 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
248 am__v_CC_0 = @echo "  CC      " $@;
249 am__v_CC_1 = 
250 CCLD = $(CC)
251 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
252         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
253         $(AM_LDFLAGS) $(LDFLAGS) -o $@
254 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
255 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
256 am__v_CCLD_0 = @echo "  CCLD    " $@;
257 am__v_CCLD_1 = 
258 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
259         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
260 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
261         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
262         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
263         $(AM_CXXFLAGS) $(CXXFLAGS)
264 AM_V_CXX = $(am__v_CXX_@AM_V@)
265 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
266 am__v_CXX_0 = @echo "  CXX     " $@;
267 am__v_CXX_1 = 
268 CXXLD = $(CXX)
269 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
270         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
271         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
272 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
273 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
274 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
275 am__v_CXXLD_1 = 
276 SOURCES = $(libsciui_data_algo_la_SOURCES) \
277         $(libsciui_data_disable_la_SOURCES) \
278         $(libsciui_data_la_SOURCES)
279 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
280         $(libsciui_data_disable_la_SOURCES) \
281         $(libsciui_data_la_SOURCES)
282 am__can_run_installinfo = \
283   case $$AM_UPDATE_INFO_DIR in \
284     n|no|NO) false;; \
285     *) (install-info --version) >/dev/null 2>&1;; \
286   esac
287 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
288         $(nobase_libsciui_data_la_icons_DATA)
289 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
290 # Read a list of newline-separated strings from the standard input,
291 # and print each of them once, without duplicates.  Input order is
292 # *not* preserved.
293 am__uniquify_input = $(AWK) '\
294   BEGIN { nonempty = 0; } \
295   { items[$$0] = 1; nonempty = 1; } \
296   END { if (nonempty) { for (i in items) print i; }; } \
297 '
298 # Make sure the list of sources is unique.  This is necessary because,
299 # e.g., the same source file might be shared among _SOURCES variables
300 # for different programs/libraries.
301 am__define_uniq_tagged_files = \
302   list='$(am__tagged_files)'; \
303   unique=`for i in $$list; do \
304     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
305   done | $(am__uniquify_input)`
306 ETAGS = etags
307 CTAGS = ctags
308 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
309         $(top_srcdir)/config/depcomp \
310         $(top_srcdir)/config/mkinstalldirs
311 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
312 ACLOCAL = @ACLOCAL@
313 ALL_LINGUAS = @ALL_LINGUAS@
314 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
315 AMTAR = @AMTAR@
316 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
317 ANT = @ANT@
318 ANTLR = @ANTLR@
319 AR = @AR@
320 ARPACK_LIBS = @ARPACK_LIBS@
321 ASM3 = @ASM3@
322 AUTOCONF = @AUTOCONF@
323 AUTOHEADER = @AUTOHEADER@
324 AUTOMAKE = @AUTOMAKE@
325 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
326 AWK = @AWK@
327 BATIK = @BATIK@
328 BLAS_CFLAGS = @BLAS_CFLAGS@
329 BLAS_LIBS = @BLAS_LIBS@
330 CC = @CC@
331 CCACHE = @CCACHE@
332 CCDEPMODE = @CCDEPMODE@
333 CFLAGS = @CFLAGS@
334 CHECKSTYLE = @CHECKSTYLE@
335 COBERTURA = @COBERTURA@
336 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
337 COMMONS_IO = @COMMONS_IO@
338 COMMONS_LOGGING = @COMMONS_LOGGING@
339 CPP = @CPP@
340 CPPFLAGS = @CPPFLAGS@
341 CURL_CFLAGS = @CURL_CFLAGS@
342 CURL_CONFIG = @CURL_CONFIG@
343 CURL_LIBS = @CURL_LIBS@
344 CURL_VERSION = @CURL_VERSION@
345 CXX = @CXX@
346 CXXCPP = @CXXCPP@
347 CXXDEPMODE = @CXXDEPMODE@
348 CXXFLAGS = @CXXFLAGS@
349 CYGPATH_W = @CYGPATH_W@
350 DEFS = @DEFS@
351 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
352 DEPDIR = @DEPDIR@
353 DLLTOOL = @DLLTOOL@
354 DOCBOOK_ROOT = @DOCBOOK_ROOT@
355 DOXYGEN_BIN = @DOXYGEN_BIN@
356 DSYMUTIL = @DSYMUTIL@
357 DUMPBIN = @DUMPBIN@
358 ECHO_C = @ECHO_C@
359 ECHO_N = @ECHO_N@
360 ECHO_T = @ECHO_T@
361 ECJ = @ECJ@
362 EGREP = @EGREP@
363 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
364 EXEEXT = @EXEEXT@
365 F77 = @F77@
366 FFLAGS = @FFLAGS@
367 FFTW3_LIB = @FFTW3_LIB@
368 FFTW_ENABLE = @FFTW_ENABLE@
369 FGREP = @FGREP@
370 FLEXDOCK = @FLEXDOCK@
371 FLIBS = @FLIBS@
372 FOP = @FOP@
373 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
374 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
375 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
376 FREEHEP_IO = @FREEHEP_IO@
377 FREEHEP_UTIL = @FREEHEP_UTIL@
378 GENHTML = @GENHTML@
379 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
380 GIWS_BIN = @GIWS_BIN@
381 GLUEGEN2_RT = @GLUEGEN2_RT@
382 GMSGFMT = @GMSGFMT@
383 GMSGFMT_015 = @GMSGFMT_015@
384 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
385 GREP = @GREP@
386 GUI_ENABLE = @GUI_ENABLE@
387 HAMCREST = @HAMCREST@
388 HAVE_CXX11 = @HAVE_CXX11@
389 HDF5_CFLAGS = @HDF5_CFLAGS@
390 HDF5_LIBS = @HDF5_LIBS@
391 HELP_ENABLE = @HELP_ENABLE@
392 INSTALL = @INSTALL@
393 INSTALL_DATA = @INSTALL_DATA@
394 INSTALL_PROGRAM = @INSTALL_PROGRAM@
395 INSTALL_SCRIPT = @INSTALL_SCRIPT@
396 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
397 INTLLIBS = @INTLLIBS@
398 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
399 JAR = @JAR@
400 JAVA = @JAVA@
401 JAVAC = @JAVAC@
402 JAVAC_DEBUG = @JAVAC_DEBUG@
403 JAVADOC = @JAVADOC@
404 JAVAH = @JAVAH@
405 JAVASCI_ENABLE = @JAVASCI_ENABLE@
406 JAVA_ENABLE = @JAVA_ENABLE@
407 JAVA_G = @JAVA_G@
408 JAVA_HOME = @JAVA_HOME@
409 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
410 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
411 JDB = @JDB@
412 JEUCLID_CORE = @JEUCLID_CORE@
413 JGRAPHX = @JGRAPHX@
414 JHALL = @JHALL@
415 JLATEXMATH = @JLATEXMATH@
416 JLATEXMATH_FOP = @JLATEXMATH_FOP@
417 JOGL2 = @JOGL2@
418 JROSETTA_API = @JROSETTA_API@
419 JROSETTA_ENGINE = @JROSETTA_ENGINE@
420 JUNIT4 = @JUNIT4@
421 LAPACK_LIBS = @LAPACK_LIBS@
422 LCOV = @LCOV@
423 LD = @LD@
424 LDFLAGS = @LDFLAGS@
425 LEX = @LEX@
426 LEXLIB = @LEXLIB@
427 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
428 LIBICONV = @LIBICONV@
429 LIBINTL = @LIBINTL@
430 LIBM = @LIBM@
431 LIBOBJS = @LIBOBJS@
432 LIBS = @LIBS@
433 LIBTOOL = @LIBTOOL@
434 LIPO = @LIPO@
435 LLVM_CONFIG_BIN = @LLVM_CONFIG_BIN@
436 LLVM_CPPFLAGS = @LLVM_CPPFLAGS@
437 LLVM_INCLUDE = @LLVM_INCLUDE@
438 LLVM_LDFLAGS = @LLVM_LDFLAGS@
439 LLVM_LIBS = @LLVM_LIBS@
440 LLVM_LIBS_STATIC = @LLVM_LIBS_STATIC@
441 LLVM_VERSION = @LLVM_VERSION@
442 LN_S = @LN_S@
443 LOGGING_LEVEL = @LOGGING_LEVEL@
444 LOOKS = @LOOKS@
445 LTLIBICONV = @LTLIBICONV@
446 LTLIBINTL = @LTLIBINTL@
447 LTLIBOBJS = @LTLIBOBJS@
448 MAINT = @MAINT@
449 MAKEINFO = @MAKEINFO@
450 MANIFEST_TOOL = @MANIFEST_TOOL@
451 MATIO_CFLAGS = @MATIO_CFLAGS@
452 MATIO_ENABLE = @MATIO_ENABLE@
453 MATIO_LIBS = @MATIO_LIBS@
454 MKDIR_P = @MKDIR_P@
455 MPI_ENABLE = @MPI_ENABLE@
456 MSGCAT = @MSGCAT@
457 MSGFMT = @MSGFMT@
458 MSGFMT_015 = @MSGFMT_015@
459 MSGMERGE = @MSGMERGE@
460 NM = @NM@
461 NMEDIT = @NMEDIT@
462 OBJDUMP = @OBJDUMP@
463 OBJEXT = @OBJEXT@
464 OCAMLC = @OCAMLC@
465 OCAMLDEP = @OCAMLDEP@
466 OCAMLLEX = @OCAMLLEX@
467 OCAMLOPT = @OCAMLOPT@
468 OCAMLYACC = @OCAMLYACC@
469 OPENMPI_CC = @OPENMPI_CC@
470 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
471 OPENMPI_CXX = @OPENMPI_CXX@
472 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
473 OPENMPI_LIBS = @OPENMPI_LIBS@
474 OPENMP_CFLAGS = @OPENMP_CFLAGS@
475 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
476 OPENMP_ENABLE = @OPENMP_ENABLE@
477 OPENMP_LIBS = @OPENMP_LIBS@
478 OTOOL = @OTOOL@
479 OTOOL64 = @OTOOL64@
480 PACKAGE = @PACKAGE@
481 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
482 PACKAGE_NAME = @PACKAGE_NAME@
483 PACKAGE_STRING = @PACKAGE_STRING@
484 PACKAGE_TARNAME = @PACKAGE_TARNAME@
485 PACKAGE_URL = @PACKAGE_URL@
486 PACKAGE_VERSION = @PACKAGE_VERSION@
487 PATH_SEPARATOR = @PATH_SEPARATOR@
488 PCRE_CFLAGS = @PCRE_CFLAGS@
489 PCRE_CONFIG = @PCRE_CONFIG@
490 PCRE_LIBS = @PCRE_LIBS@
491 PCRE_VERSION = @PCRE_VERSION@
492 PKG_CONFIG = @PKG_CONFIG@
493 POSUB = @POSUB@
494 POW_LIB = @POW_LIB@
495 PYTHON = @PYTHON@
496 RANLIB = @RANLIB@
497 RELOCATABLE = @RELOCATABLE@
498 RT_LIB = @RT_LIB@
499 SAXON = @SAXON@
500 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
501 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
502 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
503 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
504 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
505 SCIRENDERER = @SCIRENDERER@
506 SCIRENDERER_CP = @SCIRENDERER_CP@
507 SCI_CFLAGS = @SCI_CFLAGS@
508 SCI_CXXFLAGS = @SCI_CXXFLAGS@
509 SCI_FFLAGS = @SCI_FFLAGS@
510 SCI_LDFLAGS = @SCI_LDFLAGS@
511 SED = @SED@
512 SET_MAKE = @SET_MAKE@
513 SET_RELOCATABLE = @SET_RELOCATABLE@
514 SHELL = @SHELL@
515 SKINLF = @SKINLF@
516 SPLINT = @SPLINT@
517 STRIP = @STRIP@
518 SWIG_BIN = @SWIG_BIN@
519 SWIG_JAVA = @SWIG_JAVA@
520 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
521 SWIG_SCILAB = @SWIG_SCILAB@
522 TCLTK_LIBS = @TCLTK_LIBS@
523 TCL_INC_PATH = @TCL_INC_PATH@
524 TK_INC_PATH = @TK_INC_PATH@
525 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
526 UMFPACK_ENABLE = @UMFPACK_ENABLE@
527 UMFPACK_LIB = @UMFPACK_LIB@
528 USE_NLS = @USE_NLS@
529 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
530 VALGRIND_LIBS = @VALGRIND_LIBS@
531 VERSION = @VERSION@
532 WITH_OCAML = @WITH_OCAML@
533 WITH_TKSCI = @WITH_TKSCI@
534 XCOS_ENABLE = @XCOS_ENABLE@
535 XGETTEXT = @XGETTEXT@
536 XGETTEXT_015 = @XGETTEXT_015@
537 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
538 XMKMF = @XMKMF@
539 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
540 XML_APIS_EXT = @XML_APIS_EXT@
541 XML_CONFIG = @XML_CONFIG@
542 XML_FLAGS = @XML_FLAGS@
543 XML_LIBS = @XML_LIBS@
544 XML_VERSION = @XML_VERSION@
545 X_CFLAGS = @X_CFLAGS@
546 X_EXTRA_LIBS = @X_EXTRA_LIBS@
547 X_LIBS = @X_LIBS@
548 X_PRE_LIBS = @X_PRE_LIBS@
549 YACC = @YACC@
550 YFLAGS = @YFLAGS@
551 abs_builddir = @abs_builddir@
552 abs_srcdir = @abs_srcdir@
553 abs_top_builddir = @abs_top_builddir@
554 abs_top_srcdir = @abs_top_srcdir@
555 ac_ct_AR = @ac_ct_AR@
556 ac_ct_CC = @ac_ct_CC@
557 ac_ct_CXX = @ac_ct_CXX@
558 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
559 ac_ct_F77 = @ac_ct_F77@
560 am__include = @am__include@
561 am__leading_dot = @am__leading_dot@
562 am__quote = @am__quote@
563 am__tar = @am__tar@
564 am__untar = @am__untar@
565 bindir = @bindir@
566 build = @build@
567 build_alias = @build_alias@
568 build_cpu = @build_cpu@
569 build_os = @build_os@
570 build_vendor = @build_vendor@
571 builddir = @builddir@
572 cxx_present = @cxx_present@
573 datadir = @datadir@
574 datarootdir = @datarootdir@
575 docdir = @docdir@
576 dvidir = @dvidir@
577 exec_prefix = @exec_prefix@
578 host = @host@
579 host_alias = @host_alias@
580 host_cpu = @host_cpu@
581 host_os = @host_os@
582 host_vendor = @host_vendor@
583 htmldir = @htmldir@
584 includedir = @includedir@
585 infodir = @infodir@
586 install_sh = @install_sh@
587 libdir = @libdir@
588 libexecdir = @libexecdir@
589 localedir = @localedir@
590 localstatedir = @localstatedir@
591 mandir = @mandir@
592 mkdir_p = @mkdir_p@
593 oldincludedir = @oldincludedir@
594 pdfdir = @pdfdir@
595 prefix = @prefix@
596 program_transform_name = @program_transform_name@
597 psdir = @psdir@
598 runstatedir = @runstatedir@
599 sbindir = @sbindir@
600 sharedstatedir = @sharedstatedir@
601 srcdir = @srcdir@
602 sysconfdir = @sysconfdir@
603 target_alias = @target_alias@
604 top_build_prefix = @top_build_prefix@
605 top_builddir = @top_builddir@
606 top_srcdir = @top_srcdir@
607 yacc_present = @yacc_present@
608
609 #### Target ######
610 modulename = ui_data
611
612 #### ui_data : Conf files ####
613 libsciui_data_la_rootdir = $(mydatadir)
614 libsciui_data_la_root_DATA = license.txt
615
616 #### ui_data : init scripts ####
617 libsciui_data_la_etcdir = $(mydatadir)/etc
618 libsciui_data_la_etc_DATA = \
619         etc/ui_data.quit \
620         etc/ui_data.start \
621         etc/variablebrowser_menubar.xml \
622         etc/variableeditor_menubar.xml \
623         etc/XConfiguration-variables.xml \
624         etc/XConfiguration-variables.xsl
625
626 UI_DATA_JNI_SOURCES = \
627     src/jni/BrowseVar.cpp \
628     src/jni/EditVar.cpp \
629         src/jni/FileBrowser.cpp
630
631 UI_DATA_C_SOURCES = \
632     src/jni/ui_data_wrap.c \
633     src/c/PutScilabVariable.c
634
635 UI_DATA_CXX_SOURCES = \
636     src/cpp/BrowseVarManager.cpp \
637     src/cpp/FileBrowserChDir.cpp
638
639 GIWS_WRAPPERS = \
640     src/jni/BrowseVar.giws.xml \
641     src/jni/EditVar.giws.xml \
642     src/jni/FileBrowser.giws.xml
643
644 SWIG_WRAPPERS = \
645     src/jni/ui_data.i
646
647 BUILT_SOURCES = $(am__append_1) $(am__append_2)
648 GATEWAY_CXX_SOURCES = \
649     sci_gateway/cpp/sci_editvar.cpp \
650     sci_gateway/cpp/sci_browsevar.cpp \
651     sci_gateway/cpp/sci_filebrowser.cpp \
652     sci_gateway/cpp/sci_updatebrowsevar.cpp \
653     sci_gateway/cpp/sci_closeEditvar.cpp \
654     sci_gateway/cpp/ui_data_gw.cpp
655
656 libsciui_data_la_CPPFLAGS = \
657     $(JAVA_JNI_INCLUDE) \
658     -I$(srcdir)/includes/ \
659     -I$(srcdir)/src/cpp/ \
660     -I$(srcdir)/src/c/ \
661     -I$(srcdir)/src/jni/ \
662     -I$(top_srcdir)/modules/ast/includes/ast/ \
663     -I$(top_srcdir)/modules/ast/includes/exps/ \
664     -I$(top_srcdir)/modules/ast/includes/operations/ \
665     -I$(top_srcdir)/modules/ast/includes/parse/ \
666     -I$(top_srcdir)/modules/ast/includes/symbol/ \
667     -I$(top_srcdir)/modules/ast/includes/system_env/ \
668     -I$(top_srcdir)/modules/ast/includes/types/ \
669     -I$(top_srcdir)/modules/ast/includes/analysis/ \
670     -I$(top_srcdir)/modules/jvm/includes/ \
671     -I$(top_srcdir)/modules/output_stream/includes/ \
672     -I$(top_srcdir)/modules/commons/src/jni/ \
673     -I$(top_srcdir)/modules/localization/includes/ \
674     -I$(top_srcdir)/modules/api_scilab/includes/ \
675     -I$(top_srcdir)/modules/fileio/includes/ \
676     -I$(top_srcdir)/modules/string/includes/ \
677     -I$(top_srcdir)/modules/dynamic_link/includes/ \
678     -I$(top_srcdir)/modules/threads/includes/ \
679     -I$(top_srcdir)/modules/console/includes/ \
680     $(AM_CPPFLAGS)
681
682
683 # Without the ui_data module
684 libsciui_data_disable_la_CPPFLAGS = \
685     -I$(srcdir)/includes/ \
686     -I$(top_srcdir)/modules/ast/includes/ast/ \
687     -I$(top_srcdir)/modules/ast/includes/exps/ \
688     -I$(top_srcdir)/modules/ast/includes/operations/ \
689     -I$(top_srcdir)/modules/ast/includes/parse/ \
690     -I$(top_srcdir)/modules/ast/includes/symbol/ \
691     -I$(top_srcdir)/modules/ast/includes/system_env/ \
692     -I$(top_srcdir)/modules/ast/includes/types/ \
693     -I$(top_srcdir)/modules/ast/includes/analysis/ \
694     -I$(top_srcdir)/modules/localization/includes/ \
695     -I$(top_srcdir)/modules/output_stream/includes \
696     $(AM_CPPFLAGS)
697
698 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
699 UI_DATA_DISABLE_CXX_SOURCES = src/noui_data/noui_data_gw.cpp
700 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES) $(UI_DATA_DISABLE_CXX_SOURCES)
701 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
702 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
703 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
704 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
705 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
706 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
707
708 # For the code check (splint)
709 CHECK_SRC = $(UI_DATA_C_SOURCES)
710 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
711 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
712
713 #### ui_data : gateway declaration ####
714 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
715
716 #### ui_data : icons files ####
717 #
718 # Generated with:
719 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
720 libsciui_data_la_iconsdir = $(mydatadir)/
721 nobase_libsciui_data_la_icons_DATA = \
722 images/icons/16x16/mimetypes/array_up.png \
723 images/icons/16x16/mimetypes/boolean.png \
724 images/icons/16x16/mimetypes/cell.png \
725 images/icons/16x16/mimetypes/double.png \
726 images/icons/16x16/mimetypes/fptr.png \
727 images/icons/16x16/mimetypes/function.png \
728 images/icons/16x16/mimetypes/handle.png \
729 images/icons/16x16/mimetypes/int.png \
730 images/icons/16x16/mimetypes/list.png \
731 images/icons/16x16/mimetypes/mlist.png \
732 images/icons/16x16/mimetypes/noicon.png \
733 images/icons/16x16/mimetypes/object.png \
734 images/icons/16x16/mimetypes/polynomial.png \
735 images/icons/16x16/mimetypes/sparse.png \
736 images/icons/16x16/mimetypes/string.png \
737 images/icons/16x16/mimetypes/timeseries.png \
738 images/icons/16x16/mimetypes/tlist.png \
739 images/icons/16x16/mimetypes/uint.png \
740 images/icons/16x16/mimetypes/user.png
741
742 @GUI_TRUE@USEANT = 1
743
744 # Where all the Scilab stuff is installed (macros, help, ...)
745 mydatadir = $(pkgdatadir)/modules/$(modulename)
746
747 # Set AM_* SCI detected settings
748 AM_CPPFLAGS = $(SCI_CPPFLAGS)
749 AM_CFLAGS = $(SCI_CFLAGS)
750 AM_CXXFLAGS = $(SCI_CXXFLAGS)
751 # append includes to AM_FFLAGS to manage fortran includes
752 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
753
754 # Tag shared libraries with the Scilab version
755 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
756
757 # splint options
758 SPLINT_OPTIONS = -weak -booltype BOOL
759
760 ########################### JAVA ######################################
761 #### We are delegating java compilation to ant... Thanks to that
762 #### the procedure will be the same with Microsoft Windows (C)
763 #### and Linux/Unix
764 #######################################################################
765 TARGETS_ALL = $(am__append_4)
766
767 ################ MACROS ######################
768 # Rule to build a macro
769 # NOT USED  AT THE MOMENT
770 SUFFIXES = .sci
771
772 ########### INSTALL DOCUMENTATION ###################
773
774 # Install documentation files into the right target
775 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
776 # automake needs the html files to be present which is not the case when
777 # we are building Scilab
778
779 # Where it should be installed
780 pkgdocdir = $(mydatadir)
781
782 # What is the mask of the help source
783 DOCMASKXML = *.xml
784
785 # What is the mask of the MathML sources
786 DOCMASKMML = *.mml
787
788 ########### INSTALL DATA ###################
789 # Install macros, help & demos
790 # Where it should be installed
791 pkgmacrosdir = $(mydatadir)
792 # Which directory we process
793 MACRODIRS = macros/
794 # Mask of the Scilab sources macros
795 MACROMASK = *.sci
796 # Mask of the Scilab executable sources macros
797 MACROBUILDMASK = *.sce
798 # Mask of the Scilab compiled macros
799 MACROBINMASK = *.bin
800 # List of the standard directory for tests
801 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
802 # Where the demos should be installed
803 pkgdemosdir = $(mydatadir)
804 # List of the standard directory for demos
805 DEMOS_DIR = demos
806 # List of the standard directory for examples
807 EXAMPLES_DIR = examples
808 # Where to export JAVA archives (.jar)
809 JARDIR = jar/
810 # JAR files mask
811 JARMASK = *.jar
812 # Chapter file
813 HELP_CHAPTERDIR = help/
814 HELP_CHAPTERFILE = addchapter.sce
815 HELP_CHAPTERLANG = en_US fr_FR pt_BR
816 all: $(BUILT_SOURCES)
817         $(MAKE) $(AM_MAKEFLAGS) all-am
818
819 .SUFFIXES:
820 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
821 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
822         @for dep in $?; do \
823           case '$(am__configure_deps)' in \
824             *$$dep*) \
825               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
826                 && { if test -f $@; then exit 0; else break; fi; }; \
827               exit 1;; \
828           esac; \
829         done; \
830         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
831         $(am__cd) $(top_srcdir) && \
832           $(AUTOMAKE) --foreign modules/ui_data/Makefile
833 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
834         @case '$?' in \
835           *config.status*) \
836             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
837           *) \
838             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
839             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
840         esac;
841 $(top_srcdir)/Makefile.incl.am $(am__empty):
842
843 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
844         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
845
846 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
847         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
848 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
849         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
850 $(am__aclocal_m4_deps):
851
852 clean-noinstLTLIBRARIES:
853         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
854         @list='$(noinst_LTLIBRARIES)'; \
855         locs=`for p in $$list; do echo $$p; done | \
856               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
857               sort -u`; \
858         test -z "$$locs" || { \
859           echo rm -f $${locs}; \
860           rm -f $${locs}; \
861         }
862
863 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
864         @$(NORMAL_INSTALL)
865         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
866         list2=; for p in $$list; do \
867           if test -f $$p; then \
868             list2="$$list2 $$p"; \
869           else :; fi; \
870         done; \
871         test -z "$$list2" || { \
872           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
873           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
874           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
875           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
876         }
877
878 uninstall-pkglibLTLIBRARIES:
879         @$(NORMAL_UNINSTALL)
880         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
881         for p in $$list; do \
882           $(am__strip_dir) \
883           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
884           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
885         done
886
887 clean-pkglibLTLIBRARIES:
888         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
889         @list='$(pkglib_LTLIBRARIES)'; \
890         locs=`for p in $$list; do echo $$p; done | \
891               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
892               sort -u`; \
893         test -z "$$locs" || { \
894           echo rm -f $${locs}; \
895           rm -f $${locs}; \
896         }
897 src/jni/$(am__dirstamp):
898         @$(MKDIR_P) src/jni
899         @: > src/jni/$(am__dirstamp)
900 src/jni/$(DEPDIR)/$(am__dirstamp):
901         @$(MKDIR_P) src/jni/$(DEPDIR)
902         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
903 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
904         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
905 src/c/$(am__dirstamp):
906         @$(MKDIR_P) src/c
907         @: > src/c/$(am__dirstamp)
908 src/c/$(DEPDIR)/$(am__dirstamp):
909         @$(MKDIR_P) src/c/$(DEPDIR)
910         @: > src/c/$(DEPDIR)/$(am__dirstamp)
911 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
912         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
913 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
914         src/jni/$(DEPDIR)/$(am__dirstamp)
915 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
916         src/jni/$(DEPDIR)/$(am__dirstamp)
917 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
918         src/jni/$(DEPDIR)/$(am__dirstamp)
919 src/cpp/$(am__dirstamp):
920         @$(MKDIR_P) src/cpp
921         @: > src/cpp/$(am__dirstamp)
922 src/cpp/$(DEPDIR)/$(am__dirstamp):
923         @$(MKDIR_P) src/cpp/$(DEPDIR)
924         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
925 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
926         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
927 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
928         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
929
930 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
931         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
932 src/noui_data/$(am__dirstamp):
933         @$(MKDIR_P) src/noui_data
934         @: > src/noui_data/$(am__dirstamp)
935 src/noui_data/$(DEPDIR)/$(am__dirstamp):
936         @$(MKDIR_P) src/noui_data/$(DEPDIR)
937         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
938 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
939         src/noui_data/$(am__dirstamp) \
940         src/noui_data/$(DEPDIR)/$(am__dirstamp)
941 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo:  \
942         src/noui_data/$(am__dirstamp) \
943         src/noui_data/$(DEPDIR)/$(am__dirstamp)
944
945 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
946         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
947 sci_gateway/cpp/$(am__dirstamp):
948         @$(MKDIR_P) sci_gateway/cpp
949         @: > sci_gateway/cpp/$(am__dirstamp)
950 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
951         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
952         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
953 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
954         sci_gateway/cpp/$(am__dirstamp) \
955         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
956 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
957         sci_gateway/cpp/$(am__dirstamp) \
958         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
959 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
960         sci_gateway/cpp/$(am__dirstamp) \
961         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
962 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
963         sci_gateway/cpp/$(am__dirstamp) \
964         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
965 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
966         sci_gateway/cpp/$(am__dirstamp) \
967         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
968 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo:  \
969         sci_gateway/cpp/$(am__dirstamp) \
970         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
971
972 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
973         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
974
975 mostlyclean-compile:
976         -rm -f *.$(OBJEXT)
977         -rm -f sci_gateway/cpp/*.$(OBJEXT)
978         -rm -f sci_gateway/cpp/*.lo
979         -rm -f src/c/*.$(OBJEXT)
980         -rm -f src/c/*.lo
981         -rm -f src/cpp/*.$(OBJEXT)
982         -rm -f src/cpp/*.lo
983         -rm -f src/jni/*.$(OBJEXT)
984         -rm -f src/jni/*.lo
985         -rm -f src/noui_data/*.$(OBJEXT)
986         -rm -f src/noui_data/*.lo
987
988 distclean-compile:
989         -rm -f *.tab.c
990
991 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
1000 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
1001 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
1002 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
1003 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
1004 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
1005 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo@am__quote@
1006
1007 .c.o:
1008 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1009 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1010 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1014
1015 .c.obj:
1016 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1017 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1018 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1021 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1022
1023 .c.lo:
1024 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1025 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1026 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1030
1031 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1032 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1033 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1037
1038 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1039 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1040 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1044
1045 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1046 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1047 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1048 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1051
1052 .cpp.o:
1053 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1054 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1055 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1056 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1058 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1059
1060 .cpp.obj:
1061 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1062 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1063 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1064 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1066 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1067
1068 .cpp.lo:
1069 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1070 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1071 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1075
1076 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1077 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1078 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1081 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1082
1083 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1084 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1085 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1089
1090 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1096
1097 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1103
1104 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1110
1111 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo: src/noui_data/noui_data_gw.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data_gw.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/noui_data/noui_data_gw.cpp' object='src/noui_data/libsciui_data_disable_la-noui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1117
1118 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1124
1125 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1126 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1127 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1131
1132 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1133 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1134 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1135 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1138
1139 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1140 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1141 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1142 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1145
1146 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1147 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1148 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1149 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1152
1153 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo: sci_gateway/cpp/ui_data_gw.cpp
1154 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1155 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo
1156 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/ui_data_gw.cpp' object='sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1159
1160 mostlyclean-libtool:
1161         -rm -f *.lo
1162
1163 clean-libtool:
1164         -rm -rf .libs _libs
1165         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1166         -rm -rf src/c/.libs src/c/_libs
1167         -rm -rf src/cpp/.libs src/cpp/_libs
1168         -rm -rf src/jni/.libs src/jni/_libs
1169         -rm -rf src/noui_data/.libs src/noui_data/_libs
1170 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1171         @$(NORMAL_INSTALL)
1172         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1173         if test -n "$$list"; then \
1174           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1175           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1176         fi; \
1177         for p in $$list; do \
1178           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1179           echo "$$d$$p"; \
1180         done | $(am__base_list) | \
1181         while read files; do \
1182           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1183           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1184         done
1185
1186 uninstall-libsciui_data_la_etcDATA:
1187         @$(NORMAL_UNINSTALL)
1188         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1189         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1190         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1191 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1192         @$(NORMAL_INSTALL)
1193         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1194         if test -n "$$list"; then \
1195           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1196           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1197         fi; \
1198         for p in $$list; do \
1199           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1200           echo "$$d$$p"; \
1201         done | $(am__base_list) | \
1202         while read files; do \
1203           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1204           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1205         done
1206
1207 uninstall-libsciui_data_la_rootDATA:
1208         @$(NORMAL_UNINSTALL)
1209         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1210         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1211         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1212 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1213         @$(NORMAL_INSTALL)
1214         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1215         if test -n "$$list"; then \
1216           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1217           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1218         fi; \
1219         $(am__nobase_list) | while read dir files; do \
1220           xfiles=; for file in $$files; do \
1221             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1222             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1223           test -z "$$xfiles" || { \
1224             test "x$$dir" = x. || { \
1225               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1226               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1227             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1228             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1229         done
1230
1231 uninstall-nobase_libsciui_data_la_iconsDATA:
1232         @$(NORMAL_UNINSTALL)
1233         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1234         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1235         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1236
1237 ID: $(am__tagged_files)
1238         $(am__define_uniq_tagged_files); mkid -fID $$unique
1239 tags: tags-am
1240 TAGS: tags
1241
1242 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1243         set x; \
1244         here=`pwd`; \
1245         $(am__define_uniq_tagged_files); \
1246         shift; \
1247         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1248           test -n "$$unique" || unique=$$empty_fix; \
1249           if test $$# -gt 0; then \
1250             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1251               "$$@" $$unique; \
1252           else \
1253             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1254               $$unique; \
1255           fi; \
1256         fi
1257 ctags: ctags-am
1258
1259 CTAGS: ctags
1260 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1261         $(am__define_uniq_tagged_files); \
1262         test -z "$(CTAGS_ARGS)$$unique" \
1263           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1264              $$unique
1265
1266 GTAGS:
1267         here=`$(am__cd) $(top_builddir) && pwd` \
1268           && $(am__cd) $(top_srcdir) \
1269           && gtags -i $(GTAGS_ARGS) "$$here"
1270 cscopelist: cscopelist-am
1271
1272 cscopelist-am: $(am__tagged_files)
1273         list='$(am__tagged_files)'; \
1274         case "$(srcdir)" in \
1275           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1276           *) sdir=$(subdir)/$(srcdir) ;; \
1277         esac; \
1278         for i in $$list; do \
1279           if test -f "$$i"; then \
1280             echo "$(subdir)/$$i"; \
1281           else \
1282             echo "$$sdir/$$i"; \
1283           fi; \
1284         done >> $(top_builddir)/cscope.files
1285
1286 distclean-tags:
1287         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1288
1289 distdir: $(DISTFILES)
1290         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1291         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1292         list='$(DISTFILES)'; \
1293           dist_files=`for file in $$list; do echo $$file; done | \
1294           sed -e "s|^$$srcdirstrip/||;t" \
1295               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1296         case $$dist_files in \
1297           */*) $(MKDIR_P) `echo "$$dist_files" | \
1298                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1299                            sort -u` ;; \
1300         esac; \
1301         for file in $$dist_files; do \
1302           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1303           if test -d $$d/$$file; then \
1304             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1305             if test -d "$(distdir)/$$file"; then \
1306               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1307             fi; \
1308             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1309               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1310               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1311             fi; \
1312             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1313           else \
1314             test -f "$(distdir)/$$file" \
1315             || cp -p $$d/$$file "$(distdir)/$$file" \
1316             || exit 1; \
1317           fi; \
1318         done
1319 check-am: all-am
1320         $(MAKE) $(AM_MAKEFLAGS) check-local
1321 check: $(BUILT_SOURCES)
1322         $(MAKE) $(AM_MAKEFLAGS) check-am
1323 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1324 installdirs:
1325         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1326           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1327         done
1328 install: $(BUILT_SOURCES)
1329         $(MAKE) $(AM_MAKEFLAGS) install-am
1330 install-exec: install-exec-am
1331 install-data: install-data-am
1332 uninstall: uninstall-am
1333
1334 install-am: all-am
1335         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1336
1337 installcheck: installcheck-am
1338 install-strip:
1339         if test -z '$(STRIP)'; then \
1340           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1341             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1342               install; \
1343         else \
1344           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1345             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1346             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1347         fi
1348 mostlyclean-generic:
1349
1350 clean-generic:
1351
1352 distclean-generic:
1353         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1354         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1355         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1356         -rm -f sci_gateway/cpp/$(am__dirstamp)
1357         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1358         -rm -f src/c/$(am__dirstamp)
1359         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1360         -rm -f src/cpp/$(am__dirstamp)
1361         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1362         -rm -f src/jni/$(am__dirstamp)
1363         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1364         -rm -f src/noui_data/$(am__dirstamp)
1365
1366 maintainer-clean-generic:
1367         @echo "This command is intended for maintainers to use"
1368         @echo "it deletes files that may require special tools to rebuild."
1369         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1370 clean: clean-am
1371
1372 clean-am: clean-generic clean-libtool clean-local \
1373         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1374
1375 distclean: distclean-am
1376         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1377         -rm -f Makefile
1378 distclean-am: clean-am distclean-compile distclean-generic \
1379         distclean-local distclean-tags
1380
1381 dvi: dvi-am
1382
1383 dvi-am:
1384
1385 html: html-am
1386
1387 html-am:
1388
1389 info: info-am
1390
1391 info-am:
1392
1393 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1394         install-libsciui_data_la_rootDATA \
1395         install-nobase_libsciui_data_la_iconsDATA
1396
1397 install-dvi: install-dvi-am
1398
1399 install-dvi-am:
1400
1401 install-exec-am: install-pkglibLTLIBRARIES
1402
1403 install-html: install-html-am
1404
1405 install-html-am: install-html-local
1406
1407 install-info: install-info-am
1408
1409 install-info-am:
1410
1411 install-man:
1412
1413 install-pdf: install-pdf-am
1414
1415 install-pdf-am:
1416
1417 install-ps: install-ps-am
1418
1419 install-ps-am:
1420
1421 installcheck-am:
1422
1423 maintainer-clean: maintainer-clean-am
1424         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1425         -rm -f Makefile
1426 maintainer-clean-am: distclean-am maintainer-clean-generic
1427
1428 mostlyclean: mostlyclean-am
1429
1430 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1431         mostlyclean-libtool
1432
1433 pdf: pdf-am
1434
1435 pdf-am:
1436
1437 ps: ps-am
1438
1439 ps-am:
1440
1441 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1442         uninstall-libsciui_data_la_rootDATA \
1443         uninstall-nobase_libsciui_data_la_iconsDATA \
1444         uninstall-pkglibLTLIBRARIES
1445
1446 .MAKE: all check check-am install install-am install-strip
1447
1448 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1449         check-local clean clean-generic clean-libtool clean-local \
1450         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1451         ctags ctags-am distclean distclean-compile distclean-generic \
1452         distclean-libtool distclean-local distclean-tags distdir dvi \
1453         dvi-am html html-am info info-am install install-am \
1454         install-data install-data-am install-data-local install-dvi \
1455         install-dvi-am install-exec install-exec-am install-html \
1456         install-html-am install-html-local install-info \
1457         install-info-am install-libsciui_data_la_etcDATA \
1458         install-libsciui_data_la_rootDATA install-man \
1459         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1460         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1461         install-ps-am install-strip installcheck installcheck-am \
1462         installdirs maintainer-clean maintainer-clean-generic \
1463         mostlyclean mostlyclean-compile mostlyclean-generic \
1464         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1465         uninstall-am uninstall-libsciui_data_la_etcDATA \
1466         uninstall-libsciui_data_la_rootDATA \
1467         uninstall-nobase_libsciui_data_la_iconsDATA \
1468         uninstall-pkglibLTLIBRARIES
1469
1470 .PRECIOUS: Makefile
1471
1472
1473 # This target enables tests for Scilab
1474 check-local: $(top_builddir)/scilab-bin test
1475         if test -d $(mydatadir)/tests; then \
1476           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1477         fi
1478 check-code:
1479         if test -f build.xml; then \
1480                 $(ANT) checkstyle; \
1481         fi
1482         if test -x "$(SPLINT)"; then \
1483                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1484         fi
1485 @NEED_JAVA_TRUE@java:
1486 # Some configurations needs to export JAVA_HOME in the current env
1487 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1488 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1489 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1490 @NEED_JAVA_TRUE@                $(ANT); \
1491 @NEED_JAVA_TRUE@        fi
1492
1493 @NEED_JAVA_TRUE@clean-java:
1494 # Some configurations needs to export JAVA_HOME in the current env
1495 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1496 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1497 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1498 @NEED_JAVA_TRUE@                $(ANT) clean; \
1499 @NEED_JAVA_TRUE@        fi;
1500
1501 # If the user request for the SWIG generation of the wrappers Java => C/C++
1502 # We call the target swig-build on the variable SWIG_WRAPPERS
1503
1504 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1505 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1506 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1507 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1508 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1509 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1510 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1511 @SWIG_TRUE@             done; \
1512 @SWIG_TRUE@     fi
1513
1514 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1515 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1516 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1517 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1518 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1519 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1520 @SWIG_TRUE@             done; \
1521 @SWIG_TRUE@     fi
1522
1523 # If the user request for the SWIG generation of the wrappers Java => C/C++
1524 # We call the target swig-build on the variable SWIG_WRAPPERS
1525
1526 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1527 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1528 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1529 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1530 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1531 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1532 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1533 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1534 @GIWS_TRUE@                     else \
1535 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1536 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1537 @GIWS_TRUE@                     fi \
1538 @GIWS_TRUE@             done; \
1539 @GIWS_TRUE@     fi
1540
1541 @GIWS_TRUE@giws-exception:
1542 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1543 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1544 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1545
1546 macros:
1547         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1548                 echo "Error : Cannot build $< : Scilab has not been built"; \
1549         else \
1550                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1551         fi)
1552
1553 # Removes the macros
1554 clean-macros:
1555 # Removes macros (*.bin generated from .sci)
1556         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1557                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1558                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1559         done
1560
1561 test:
1562 # More tests could be added here
1563         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1564         if test -f build.xml -a $$USEANT -eq 1; then \
1565                 $(ANT) test; \
1566         fi
1567
1568 all-local: $(TARGETS_ALL)
1569
1570 .sci.bin:
1571         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1572         echo "Error : Cannot build $< : Scilab has not been build"; \
1573         else \
1574         echo "Creating $@"; \
1575         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1576         fi )
1577
1578 install-html-local:
1579
1580 install-data-local-local:
1581 # Mainly for javasci
1582         @if test -d $(srcdir)/javadoc; then \
1583                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1584         fi
1585 # If the user wants the help sources to be installed
1586 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1587 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1588 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1589 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1590 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1591 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1592 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1593 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1594 @INSTALL_HELP_XML_TRUE@           done ; \
1595 @INSTALL_HELP_XML_TRUE@         fi; \
1596 @INSTALL_HELP_XML_TRUE@  fi; \
1597 @INSTALL_HELP_XML_TRUE@ done; \
1598 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1599 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1600 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1601 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1602 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1603 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1604 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1605 @INSTALL_HELP_XML_TRUE@           done ; \
1606 @INSTALL_HELP_XML_TRUE@         fi; \
1607 @INSTALL_HELP_XML_TRUE@ fi
1608 install-data-local:
1609 # Install the tests
1610         @echo "-------- Install tests (if any) --------"; \
1611         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1612           if test -d $(srcdir)/$$dir/; then \
1613             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1614                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1615                     if test -d "$(srcdir)/$$dir/$$file"; then \
1616                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1617                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1618                     else \
1619                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1620                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1621                     fi \
1622                   done; \
1623           fi; \
1624         done
1625 # Install the help chapter
1626         @echo "-------- Install the help chapter (if any) --------"; \
1627         for lang in $(HELP_CHAPTERLANG); do \
1628                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1629                 if test -f $$HELPFILE; then \
1630                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1631                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1632                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1633                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1634                 fi; \
1635         done
1636 # Install the demos & examples
1637         @echo "-------- Install demos & examples (if any) --------"; \
1638         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1639           if test -d $(srcdir)/$$dir/; then \
1640             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1641                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1642                     if test -d "$(srcdir)/$$dir/$$file"; then \
1643                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1644                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1645                     else \
1646                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1647                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1648                     fi \
1649                   done; \
1650           fi; \
1651         done
1652 # Install the macros
1653         @echo "-------- Install macros (if any) --------"; \
1654         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1655           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1656                 if test -d $(srcdir)/$$dir/; then \
1657                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1658                         if test -n "$(MACROSSPECIALEXT)"; then \
1659                                 specialExtDir=""; \
1660                                 for specialExt in $(MACROSSPECIALEXT); do \
1661                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1662                                 done; \
1663                                 FILELIST="$$FILELIST $$specialExtDir"; \
1664                         fi; \
1665                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1666                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1667                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1668                   done; \
1669                 fi; \
1670         done
1671 # Install java files (.jar)
1672         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1673         echo "-------- Install jar files --------"; \
1674     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1675           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1676                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1677                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1678           done ; \
1679         fi
1680
1681 ########### CLEAN ###################
1682 # Clean help (generated automatically by Scilab)
1683 # It used to clean the macro (clean-macros) but this was causing
1684 # make clean && make to fail Scilab startup
1685 @NEED_JAVA_TRUE@clean-local: clean-java
1686 @NEED_JAVA_FALSE@clean-local:
1687
1688 distclean-local:
1689         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1690
1691 .PHONY: macros java swig giws
1692
1693 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1694 # Otherwise a system limit (for SysV at least) may be exceeded.
1695 .NOEXPORT: